// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface GetHistoricalTradesRequestDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.GetHistoricalTradesRequestDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  boolean hasStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getStart();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto start = 1;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getStartOrBuilder();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  boolean hasEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getEnd();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto end = 2;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getEndOrBuilder();
}
